=== debian/changelog ===
ktextaddons (1.5.4-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Aug 2024 23:54:14 +0200

ktextaddons (1.5.4-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libkf6textaddons-data/dev/doc to libktextaddons-data/dev/doc
    to be more consistent with the rest of the KDE packages.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Jul 2024 22:59:30 +0200

ktextaddons (1.5.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add Breaks/Replaces for libkf6textaddons-data against
    libkf5textaddons-data as they share files (Closes: #1071600).

 -- Patrick Franz <deltaone@debian.org>  Thu, 23 May 2024 00:38:00 +0200

ktextaddons (1.5.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (1.5.4).
  * Update watch file and add upstream signing key.
  * Update build-deps and deps with the info from cmake.
  * New binary packages based on Qt 6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 May 2024 14:12:30 +0200

ktextaddons (1.5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062504

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 15:50:32 +0000

ktextaddons (1.5.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Nov 2023 10:01:55 +0100

ktextaddons (1.5.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1050747)

 -- Patrick Franz <deltaone@debian.org>  Tue, 29 Aug 2023 22:08:09 +0200
