=== debian/control ===
Source: ktextaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               dpkg-dev (>= 1.22.5),
               extra-cmake-modules (>= 6.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6syntaxhighlighting-dev  (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-speech-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktextaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktextaddons.git
Rules-Requires-Root: no

Package: libkf6textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text addons widgets library

Package: libkf6textautocorrectioncore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction core library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection core library.

Package: libkf6textautocorrectionwidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction widget library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection widget library.

Package: libkf6textcustomeditor1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - custom editor library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text custom editor library.

Package: libkf6textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text edit text-to-speech library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text-to-speech library.

Package: libkf6textemoticonscore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text emoticons library.

Package: libkf6textemoticonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the emoticons widget library.

Package: libkf6textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text grammar check library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text grammar check library.

Package: libkf6texttranslator1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text translator library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator library.

Package: libkf6textutils1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text utils library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text utils library.

Package: libktextaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6textaddonswidgets1 (= ${binary:Version}),
         libkf6textautocorrectioncore1 (= ${binary:Version}),
         libkf6textautocorrectionwidgets1 (= ${binary:Version}),
         libkf6textcustomeditor1 (= ${binary:Version}),
         libkf6textedittexttospeech1 (= ${binary:Version}),
         libkf6textemoticonscore1 (= ${binary:Version}),
         libkf6textemoticonswidgets1 (= ${binary:Version}),
         libkf6textgrammarcheck1 (= ${binary:Version}),
         libkf6texttranslator1 (= ${binary:Version}),
         libkf6textutils1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf6textaddons-dev,
Replaces: libkf6textaddons-dev,
Description: KDE text handling addons - development files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the development files needed to build software using
 KTextAddons.

Package: libktextaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5textaddons-data, libkf6textaddons-data,
Replaces: libkf5textaddons-data, libkf6textaddons-data,
Description: KDE text handling addons - data files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the data files needed by KTextAddons.

Package: libktextaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf6textaddons-doc,
Replaces: libkf6textaddons-doc,
Description: KDE text handling addons - documentation
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package contains the qch documentation files.
